Subject: Re: bug#39413: 26.2; Emacs gets hung

From: "ISHIKAWA,chiaki" <[email-masked]>
Date: Wed, 11 Aug 2021 22:46:01 +0900

On 2021/08/11 20:14, Lars Ingebrigtsen wrote:
> "ISHIKAWA,chiaki" <[email-masked]> writes:
>
>>     You can see memory is not used  up. Only about 11 GB of memory is
>> used out of 16 GB.
>>     No swapping should occur.
> The OS may well decide to swap in this situation, so try checking that
> instead.  In Linux, "vmstat 1" should tell you whether swapping is
> occurring, but I have no idea how to determine that in Windows.
>
Hi,

Thank you for your tips.

OK, I would run vmstat 1 next time this strange GC hung occurs.

As for windows, task monitor has  a peformance monitor subsystem and in it,
I find "hard faults" in memory monitor function.
This may not be purely swap, but at least it may give me an indication 
if excessive faults are happening, etc.

Thank you again for your helpful hints.

Chiaki.